Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.gui.border
Class ImageBevelBorder

    java.lang.Object
      org.monte.media.gui.border.ImageBevelBorder

All Implemented Interfaces:
  javax.swing.border.Border

Direct Known Subclasses:
  ImageBevelBorder.UIResource

    public class ImageBevelBorder

extends java.lang.Object
implements javax.swing.border.Border

Draws a filled bevel border using an image and insets. The image must consist of a bevel and a fill area.

The insets and the size of the image are used do determine which parts of the image shall be used to draw the corners and edges of the bevel as well the fill area.

For example, if you provide an image of size 10,10 and a insets of size 2, 2, 4, 4, then the corners of the border are made up of top left: 2,2, top right: 2,4, bottom left: 2,4, bottom right: 4,4 rectangle of the image. The inner area of the image is used to fill the inner area.

Version:
  4.2 2005-09-10 Lazily convert image into buffered image.
  4.1 2005-05-12 Workarounds for Java 1.4, 1.5 on Mac OS X 10.4 added.
  4.0 2005-04-25 Renamed from ImageBevelBorder to ImageBevelBorder. Because we have now two optimized versions for Apple's Java 1.3 and one for Java 1.4 and above.
  1.0 2001-10-16 Created.
Author:
  Werner Randelshofer

Nested Class Summary
`static class` | `ImageBevelBorder.UIResource`

Constructor Summary
`ImageBevelBorder(java.awt.Image img, java.awt.Insets borderInsets)` Creates a new instance with the given image and insets.
`ImageBevelBorder(java.awt.Image img, java.awt.Insets imageInsets, java.awt.Insets borderInsets)` Creates a new instance with the given image and insets.
`ImageBevelBorder(java.awt.Image img, java.awt.Insets imageInsets, java.awt.Insets borderInsets, boolean fillContentArea)` Creates a new instance with the given image and insets.

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)` Returns the insets of the border.
`boolean` | `isBorderOpaque()` Returns true if the border is opaque.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics gr, int x, int y, int width, int height)` Paints the bevel image for the specified component with the specified position and size.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageBevelBorder

    public ImageBevelBorder(java.awt.Image img,
                            java.awt.Insets borderInsets)

  Creates a new instance with the given image and insets. The image has the same insets as the border.

### ImageBevelBorder

    public ImageBevelBorder(java.awt.Image img,
                            java.awt.Insets imageInsets,
                            java.awt.Insets borderInsets)

  Creates a new instance with the given image and insets. The image has different insets than the border.

### ImageBevelBorder

    public ImageBevelBorder(java.awt.Image img,
                            java.awt.Insets imageInsets,
                            java.awt.Insets borderInsets,
                            boolean fillContentArea)

  Creates a new instance with the given image and insets. The image has different insets than the border.

Method Detail

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns true if the border is opaque. This implementation always returns false.

  Specified by:
    `isBorderOpaque` in interface `javax.swing.border.Border`

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Returns the insets of the border.

  Specified by:
    `getBorderInsets` in interface `javax.swing.border.Border`
  Parameters:
    `c` - the component for which this border insets value applies

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics gr,
                            int x,
                            int y,
                            int width,
                            int height)

  Paints the bevel image for the specified component with the specified position and size.

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`
  Parameters:
    `c` - the component for which this border is being painted
    `gr` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD